org.apache.synapse.commons.logger

## Class CorrelationMDCImmediateLogger

- java.lang.Object
- - org.apache.synapse.commons.logger.CorrelationMDCAwareLogger
  - - org.apache.synapse.commons.logger.CorrelationMDCImmediateLogger

- All Implemented Interfaces:
    org.apache.commons.logging.Log

      public class CorrelationMDCImmediateLogger
      extends CorrelationMDCAwareLogger

  Responsible for providing wrapper implementation for CorrelationMDCAwareLogger. The logging wrapper methods will remove the correlation id from the MDC after logging from CorrelationMDCAwareLogger.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationMDCImmediateLogger(java.lang.Object correlationId, org.apache.commons.logging.Log log)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.Object o)`
    `void` | `debug(java.lang.Object o, java.lang.Throwable throwable)`
    `void` | `error(java.lang.Object o)`
    `void` | `error(java.lang.Object o, java.lang.Throwable throwable)`
    `void` | `fatal(java.lang.Object o)`
    `void` | `fatal(java.lang.Object o, java.lang.Throwable throwable)`
    `void` | `info(java.lang.Object o)`
    `void` | `info(java.lang.Object o, java.lang.Throwable throwable)`
    `void` | `trace(java.lang.Object o)`
    `void` | `trace(java.lang.Object o, java.lang.Throwable throwable)`
    `void` | `warn(java.lang.Object o)`
    `void` | `warn(java.lang.Object o, java.lang.Throwable throwable)`

    - ### Methods inherited from class org.apache.synapse.commons.logger.CorrelationMDCAwareLogger

      `isDebugEnabled, isErrorEnabled, isFatalEnabled, isInfoEnabled, isTraceEnabled, isWarnEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationMDCImmediateLogger

          public CorrelationMDCImmediateLogger(java.lang.Object correlationId,
                                               org.apache.commons.logging.Log log)

  - ### Method Detail

    - #### trace

          public void trace(java.lang.Object o)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`
      Overrides:
        `trace` in class `CorrelationMDCAwareLogger`

    - #### trace

          public void trace(java.lang.Object o,
                            java.lang.Throwable throwable)

      Specified by:
        `trace` in interface `org.apache.commons.logging.Log`
      Overrides:
        `trace` in class `CorrelationMDCAwareLogger`

    - #### debug

          public void debug(java.lang.Object o)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`
      Overrides:
        `debug` in class `CorrelationMDCAwareLogger`

    - #### debug

          public void debug(java.lang.Object o,
                            java.lang.Throwable throwable)

      Specified by:
        `debug` in interface `org.apache.commons.logging.Log`
      Overrides:
        `debug` in class `CorrelationMDCAwareLogger`

    - #### info

          public void info(java.lang.Object o)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`
      Overrides:
        `info` in class `CorrelationMDCAwareLogger`

    - #### info

          public void info(java.lang.Object o,
                           java.lang.Throwable throwable)

      Specified by:
        `info` in interface `org.apache.commons.logging.Log`
      Overrides:
        `info` in class `CorrelationMDCAwareLogger`

    - #### warn

          public void warn(java.lang.Object o)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`
      Overrides:
        `warn` in class `CorrelationMDCAwareLogger`

    - #### warn

          public void warn(java.lang.Object o,
                           java.lang.Throwable throwable)

      Specified by:
        `warn` in interface `org.apache.commons.logging.Log`
      Overrides:
        `warn` in class `CorrelationMDCAwareLogger`

    - #### error

          public void error(java.lang.Object o)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`
      Overrides:
        `error` in class `CorrelationMDCAwareLogger`

    - #### error

          public void error(java.lang.Object o,
                            java.lang.Throwable throwable)

      Specified by:
        `error` in interface `org.apache.commons.logging.Log`
      Overrides:
        `error` in class `CorrelationMDCAwareLogger`

    - #### fatal

          public void fatal(java.lang.Object o)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`
      Overrides:
        `fatal` in class `CorrelationMDCAwareLogger`

    - #### fatal

          public void fatal(java.lang.Object o,
                            java.lang.Throwable throwable)

      Specified by:
        `fatal` in interface `org.apache.commons.logging.Log`
      Overrides:
        `fatal` in class `CorrelationMDCAwareLogger`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.